Get contracts for company
curl --request GET \
--url https://api-dev.narrative.io/contracts \
--header 'Authorization: Bearer <token>'{
"records": [
{
"contract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payable_company_id": 123,
"payment_method": {},
"revision": 123,
"revision_start": "2023-11-07T05:31:56Z",
"updated_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"internal_notes": "<string>",
"revision_notes": "<string>",
"revision_end": "2023-11-07T05:31:56Z"
},
"rates": [
{
"rate": {
"unit_price": {
"value": 123,
"expressed_in": "cents",
"currency": "USD"
}
},
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"sku_type": {},
"payable_company_id": 123,
"name": "<string>",
"unit": "<string>"
},
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]
}Contracts
Get contracts for company
Return all contract with details for a company id. Company id is extracted from token.
GET
/
contracts
Get contracts for company
curl --request GET \
--url https://api-dev.narrative.io/contracts \
--header 'Authorization: Bearer <token>'{
"records": [
{
"contract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payable_company_id": 123,
"payment_method": {},
"revision": 123,
"revision_start": "2023-11-07T05:31:56Z",
"updated_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"internal_notes": "<string>",
"revision_notes": "<string>",
"revision_end": "2023-11-07T05:31:56Z"
},
"rates": [
{
"rate": {
"unit_price": {
"value": 123,
"expressed_in": "cents",
"currency": "USD"
}
},
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"sku_type": {},
"payable_company_id": 123,
"name": "<string>",
"unit": "<string>"
},
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]
}Was this page helpful?
⌘I

